[script]
n0=;###SNIPPET INFORMATION###
n1=; Name: /text_outline
n2=; Author: zonIRC
n3=; Version: 1
n4=; mIRC Version: 6.35
n5=; Contact: zonirc@email.com
n6=;          #klkite (network: undernet)
n7=;          zonirc (yahoo messenger)
n8=; Tested: mIRC 6.35+Windows XP Home
n9=;
n10=;
n11=; Description:
n12=; Drawing an outline text on picture window.
n13=;
n14=; Syntax:
n15=; /text_outline [-ocf] @win x y [w h] color outline [size font] text
n16=;
n17=; [-ocf] : a set of switches where
n18=;          - o make the text bold
n19=;          - c the [w h] have been specified and text would be clipped if it extend beyond the x y [w h] area.
n20=;          - f the [size font] have been specified
n21=; @win : a picture window name and it must be created first
n22=; x : the text left position
n23=; y : the text top position
n24=; [w h] : the width(w) and height(h) area of the text. Only needed when -c been specified.
n25=; color : the text color in rgb values
n26=; outline : the outline color in rgb values.
n27=; [size font] : the font size(size) and its name(font) where the fontname must be quoted if its contain a space(e.g: "times new roman"). Only needed when -f been specified. by default script would use the specified window font setting.
n28=; text : the text that would be drawn into picture window
n29=; NOTE: you can get rgb value by using $rgb(<red>,<green>,<blue>) such as $rgb(255,0,0) that would return '255' for the red color.
n30=;
n31=; Distribution:
n32=; You are allowed to re-distribute it into any form(such as website, magazine, etc) that you wish.
n33=; Please leave the snippet information section as it is.
n34=; You are allowed to edit the code but need to inform the user about that.
n35=;
n36=;Example:
n37=; /text_outline @test 100 10 255 1 sample text for testing purpose only
n38=; /text_outline -o @test 100 10 255 1 sample text for testing purpose only
n39=; /text_outline -of @test 100 10 255 1 32 "times new roman" sample text for testing purpose only
n40=; /text_outline -ocf @test 100 10 200 20 255 1 32 "times new roman" sample text for testing purpose only
n41=;
n42=; The below example will drawn a 3d text look a like.
n43=alias 3dtext {
n44=  window -pa @cir
n45=  var %loop 1, %max $iif($1,$1,10)
n46=  while (%loop < %max) {
n47=    text_outline -of @cir $calc(100 + %loop) $calc(10 + %loop) 255 1 32 "times new roman" sample text for testing purpose only
n48=    inc %loop
n49=  }
n50=}
n51=;###END OF INFORMATION###
n52=
n53=alias text_outline {
n54=  ;/text_outline [-ocf] @win x y [w h] color outline [size font] text
n55=
n56=  ;set each paremeter into its own variable
n57=  var %switch $iif(-* iswm $1,$1), %win $($+($,$numtok(%switch @,32)),2), %x $($+($,$numtok(%switch @ x,32)),2)
n58=  var %y $($+($,$numtok(%switch @ x y,32)),2), %o $iif(o isincs %switch,o), %f $iif(f isincs %switch,f), %c $iif(c isincs %switch,c)
n59=  if (%c) var %w $($+($,$numtok(%switch @ x y w,32)),2), %h $($+($,$numtok(%switch @ x y w h,32)),2)
n60=  var %color $($+($,$numtok(%switch @ x y %w %h c,32)),2), %outline $($+($,$numtok(%switch @ x y %w %h c o,32)),2)
n61=  var %size $iif(%f,$($+($,$numtok(%switch @ x y %w %h c o s,32)),2),$window(%win).fontsize)
n62=  var %font $iif("* iswm $iif(%f,$($+($,$numtok(%switch @ x y %w %h c o s f,32),-),2),$qt($window(%win).font)),$gettok($v2,1,34),$gettok($v2,1,32))
n63=  var %text $($+($,$numtok(%switch @ x y %w %h c o $iif(%f,%size %font) t,32),-),2)
n64=  var %do drawtext $+(-nr,%o,%c) %win %outline $qt(%font) %size, %echo echo -ftsc info * /text_outline:
n65=
n66=  ;error handler
n67=  if ($window(%win).type != picture) %echo $iif($v1,invalid window type,no such window)
n68=  elseif ($+(%x,%y) !isnum) %echo invalid left/top position
n69=  elseif (%c) && ($+(%w,%h) !isnum) %echo invalid width/height
n70=  elseif ($+(%color,%outline) !isnum) %echo invalid text/outline color
n71=  elseif (%f) && (%size !isnum) %echo invalid font size
n72=  elseif (!%text) %echo insufficient parameter
n73=  else {
n74=    ;set the left and top position for the outline
n75=    var %bx $calc(%x - 1), %by $calc(%y - 1), %ax $calc(%x + 1), %ay $calc(%y + 1)
n76=
n77=    ;draw the outline first
n78=    %do %bx %by %w %h %text
n79=    %do %bx %y %w %h %text
n80=    %do %bx %ay %w %h %text
n81=
n82=    %do %x %by %w %h %text
n83=    %do %x %y %w %h %text
n84=    %do %x %ay %w %h %text
n85=
n86=    %do %ax %by %w %h %text
n87=    %do %ax %y %w %h %text
n88=    %do %ax %ay %w %h %text
n89=
n90=    ;draw the text
n91=    $puttok(%do,%color,4,32) %x %y %w %h %text
n92=
n93=    ;refresh window
n94=    drawdot %win
n95=  }
n96=}
n97=
n98=
n99=; Author:    FiberOPtics
n100=;
n101=; Email:     mirc.fiberoptics@gmail.com
n102=;
n103=; Usage:     /pause <s|ms> <N>, where s stands for seconds, and ms for milliseconds.
n104=;
n105=; Examples:  //echo -a hi | pause s 3 | echo -a sup
n106=;            //echo -a 1 2 3... | pause ms 1500 | echo -a 4
n107=;
n108=; Purpose:   Will pause the script engine on the current thread from processing, until
n109=;            the specified interval in seconds (s) or milliseconds (ms) has passed.
n110=;
n111=; Reqs:      mIRC 5.9
n112=;           /pause with param 's' works on all Windows versions
n113=;           /pause with param 'ms' works on Windows OS'es from Win2k and higher
n114=;
n115=;
n116=; Notes:  -  If you want to use this in an event, use a signal, as otherwise it would pause the event,
n117=;            making successive triggerings of the event queued.
n118=;
n119=;         -  The reason the millisecond property only works from Win2k on, is because pathping.exe
n120=;            only started to be shipped from that OS. So in theory, you could use this snippet
n121=;            on all Windows versions, as long as it has pathping.exe installed.
n122=;
n123=;         -  Remember that mIRC has the functionality of timers (/help /timer), so look into using,
n124=;            timers before resorting to /pause.
n125=;
n126=;         -  Online has already created a great /sleep snippet that works on all Windows OS'es
n127=;            that don't have Windows Scripting disabled, so why did I release this snippet?
n128=;
n129=;            *  /pause doesn't have to do disk access in order to work, which makes it more
n130=;                efficient and less slow.
n131=;
n132=;            *  /pause is more accurate in respecting the specified interval to pause
n133=;               (don't expect it to be right on the spot though, there will always be
n134=;                some variation)
n135=;
n136=;            *  /pause doesn't trigger anti-spyware/anti-virus programs, something /sleep
n137=;                suffers from with for example MS Windows AntiSpyware, because it executes
n138=;                a Windows Scripting file, which is often seen as malicious. This was the
n139=;                primary reason to release /pause.
n140=;
n141=
n142=
n143=alias pause {
n144=  var %e = !echo $color(info) -a * /pause:
n145=  if ($version < 5.91) {
n146=    %e this snippet requires atleast mIRC version 5.91
n147=  }
n148=  elseif (!$regex(pause,$1-,/^m?s \d+$/Si)) {
n149=    %e incorrect/insufficient parameters. Syntax: /pause <s|ms> <N>
n150=  }
n151=  elseif ($1 == ms) && ($istok(95 98 ME,$os,32)) {
n152=    %e cannot use milliseconds parameter on OS'es beneath Win2k
n153=  }
n154=  elseif ($2 !isnum 1-) {
n155=    %e must specify a number within range 1-
n156=  }
n157=  else {
n158=    var %wsh = wsh $+ $ticks, %cmd
n159=    if ($1 == s) %cmd = ping.exe -n $int($calc($2 + 1)) 127.0.0.1
n160=    else %cmd = pathping.exe -n -w 1 -q 1 -h 1 -p $iif($2 > 40,$calc($2 - 40),$2) 127.0.0.1
n161=    .comopen %wsh wscript.shell
n162=    .comclose %wsh $com(%wsh,run,1,bstr*,% $+ comspec% /c %cmd >nul,uint,0,bool,true)
n163=  }
n164=}
n165=
n166=;**********************************************************************************************
n167=
n168=alias startti
n169={
n170=  ruutu
n171=  ;set %ruudun_arvo 0
n172=}
n173=
n174=alias ruutu {
n175=  ;if (set %ruudun_arvo 0 == 0) {
n176=  window -pek @cir
n177=  ;  set %ruudun_arvo 0 == 1
n178=
n179=  ;}
n180=}
n181=
n182=
n183=; timer 1 5 /run http://www.jyu.fi
n184=;/timer 5 10 .... will run after 10 seconds, and repeat itself 5 times (it will run at 10, 20, 30, 40 and 50 seconds after starting it)
n185=
n186=
n187=
n188=;  timer 1 2 drawdot @cir 2 50 $rand(0,1000) $rand(0,1000)
n189=
n190=
n191=on 1:TEXT:fanivaihdin*:#:{
n192=  var %valonro
n193=  while(%valonro < 9) {
n194=    /valonheitin %valonro $nick $nick $nick
n195=  }
n196=}
n197=
n198=
n199=
n200=
n201=
n202=on 1:TEXT:sini*:#:{ msg $chan $nick ajaa efektin
n203=  window -pek @cir
n204=
n205=  var %e = 1
n206=  while (%e <= 1000) {
n207=    ;timer 1 0
n208=    ; drawdot @cir $rand(0,10) $rand(0,150) $rand(0,1000) $rand(0,1000)
n209=
n210=
n211=    var %x = $calc(%e * 15)
n212=    var %y = $calc(($sin(%e) * 100) + 500)
n213=    var %h = $calc(%e * 15)*0.5
n214=    var %j = $calc(($sin(%e) * 100) + 500)*0.5
n215=
n216=    ;$calc($sin(%e) * 500)
n217=    drawdot @cir $rand(0,10) 5 %x %y
n218=    ;drawdot @cir $rand(0,10) 5 %x %y
n219=    ;drawdot @cir $rand(0,10) 5 %h %j
n220=    ;drawdot @cir 1 35 ((%e) + 100) (0.1 * (%e) + 100)
n221=    ; siirtyvä testi: drawdot @cir 1 35 ((%e) + 100) (0.1 * %e + 100)
n222=    pause ms 20
n223=    ; echo @airzerocorporation moi ;$sin(%e)
n224=    /text_outline  -of @cir 100 10 255 1 32 "times new roman" %x
n225=
n226=    if(%x <= 1000) {
n227=      inc %e
n228=    }
n229=    else {
n230=      %e = $calc( %e - 1)
n231=    }
n232=  }
n233=}
n234=
n235=;******** VALOJUTTU
n236=/bread 1-white.dat 0 11 &white
n237=on 1:TEXT:valot*:#:{ msg $chan $nick halusi valot.
n238=  /sockudp -k socketname 192.168.1.40 9909 &white
n239=  ;/sockudp -k socketname 130.234.180.59 9909 0
n240=  ;/sockudp [-k] <name> <ipaddress> <port> [text|%var|&binvar]
n241=  ;/sockudp [-k] socketname 192.168.1.100 9909 [text|%valo|&binvar]
n242=  ;var %valo = 1
n243=  ;binvar %bina = 00 00 00 00 00 00 00 01 FF FF 00
n244=  ;/sockudp [-k] socketname gzrrplox.kortex.jyu.fi 9909 [text|%valo|&binvar]
n245=  ;sockudp -k QOTD 85.25.143.214 17 0
n246=}
n247=/bread 1-black.dat 0 11 &black
n248=on 1:TEXT:pimeys*:#:{ msg $chan $nick halusi pimeyden.
n249=  /sockudp -k socketname 192.168.1.40 9909 &black
n250=}
n251=
n252=on 1:TEXT:apua*:#:{ msg $chan Kirjoita teksti EPILEPSIA PUNASÄVY(0-255) VIHERSÄVY(0-255) SINISÄVY(0-255). Esim. "epilepsia 255 255 255"
n253=}
n254=on 1:TEXT:epilepsia*:#:{ msg $chan $nick halusit välkyttää valoja, ääliö :I
n255=  /vari $2 $3 $4
n256=}
n257=
n258=/bread 1-black.dat 0 11 &flash
n259=on 1:TEXT:plöö*:#:{ msg $chan $nick halusit välkyttää valoja, möhkö :I
n260=  var %e = 0
n261=  while (%e <= 255) {
n262=    pause ms 50
n263=    /vari %e %e %e
n264=    inc %e
n265=  }
n266=}
n267=
n268=
n269=
n270=/bread 1-black.dat 0 11 &flash
n271=var %e = 255
n272=;on 1:TEXT:äg*:#:{ msg $chan $nick halusit välkyttää valoja, pöllö :I
n273=alias äg {
n274=  while (%e >= 254) {
n275=    pause ms 50
n276=    /vari %e %e %e
n277=    %e = $calc(%e - 1)
n278=  }
n279=}
n280=
n281=; while (%e <= 255) {
n282=;   pause ms 50
n283=;   /vari %e %e %e
n284=;   inc %e
n285=; }
n286=
n287=/bread 1-black.dat 0 11 &flash
n288=var %e = 255
n289=on 1:TEXT:discotus*:#:{ msg $chan $nick halusit välkyttää valoja, senki kissa <3
n290=  while (%e >= 254) {
n291=    /vari 0 0 0
n292=    	pause ms 50
n293=    /vari 0 255 0
n294=    pause ms 50
n295=    /vari 0 0 255
n296=    	pause ms 50
n297=    /vari 255 0 0
n298=    	pause ms 50
n299=    	inc %e
n300=  }
n301=}
n302=
n303=
n304=
n305=alias varivilkku {
n306=  var %tahanasti = 1
n307=  while (%tahanasti <= 20) {
n308=    /background -a downloads\lapinakyva.png
n309=    /nayttovalo
n310=    /background -a downloads\lapinakyva.png
n311=    /pause ms 500
n312=    inc %tahanasti
n313=  }
n314=}
n315=
n316=
n317=
n318=
n319=
n320=on 1:TEXT:taustakuva*:#:{ msg $chan $nick halusit vaihtaa taustakuvakseni goatsen. :(
n321=  /echo $ $2-1000
n322=  /background -s downloads\ $+ $2-1000
n323=  ;-a = active, -s = status
n324=}
n325=
n326=
n327=
n328=
n329=alias tekstaus {
n330=  window -pa @cir
n331=  drawdot %win
n332=}
n333=
n334=
n335=
n336=
n337=alias pistejuttu {  msg $chan $nick ajaa efektin
n338=  ;Create a picture (-p) window (@cir)
n339=  window -pek @cir
n340=
n341=  ;Draw a circle (on window (@cir) with color 4 (red), size of 50 at coordinates (200,200)
n342=  ;drawdot @cir 4 $rand(100,300) $rand(100,300) $rand(100,300)
n343=
n344=
n345=  ;timer 1 2 drawdot @cir 2 50 $rand(0,1000) $rand(0,1000)
n346=
n347=  ; for (int i = 0; i < 100; ++i) { float x = 0.1 * float(i); effect(i, sin(x)); }
n348=
n349=  var %i = 1
n350=  while (%i <= 1000) {
n351=    ;timer 1 0
n352=    drawdot @cir $rand(0,10) $rand(1,2) $rand(0,1000) $rand(0,1000)
n353=
n354=    /text_outline  -of @cir 100 10 255 1 32 "times new roman" $nick halusit palloja
n355=    ;text_outline
n356=    pause ms 10
n357=    inc %i
n358=  }
n359=
n360=}
n361=
n362=
n363=
n364=;**********Valojen väriä vaihtava /vari-komento
n365=/bread 1-black.dat 0 11 &flash
n366=alias vari {
n367=  ;msg $chan $nick halusi epilepsian.
n368=  /bset &flash 9 $1 $2 $3
n369=  /sockudp -k socketname 192.168.1.40 9909 &flash
n370=}
n371=
n372=alias valonheitin {
n373=  /bset &flash 8 $1 $2 $3 $4
n374=  /sockudp -k socketname 192.168.1.40 9909 &flash
n375=}
n376=
n377=
n378=alias musa {
n379=
n380=  /join #aasdasjgfjsdagjkgjklsgjklgjl
n381=  splay Mikko_alatalo_projekti7.wav
n382=  /part #aasdasjgfjsdagjkgjklsgjklgjl
n383=}
n384=
n385=alias musa2 {
n386=
n387=  /join #aasdasjgfjsdagjkgjklsgjklgjl
n388=  splay aantely_projekti.wav
n389=  /part #aasdasjgfjsdagjkgjklsgjklgjl
n390=}
n391=
n392=/bread 1-black.dat 0 11 &flash
n393=alias varinvaihdin {
n394=  var %kunnes = 1
n395=  while (%kunnes <= 10) {
n396=    /vari $rand(0,255) $rand(0,255) $rand(0,255)
n397=    pause ms 1000
n398=    inc %kunnes
n399=  }
n400=}
n401=
n402=/bread 1-black.dat 0 11 &flash
n403=alias nayttovalo {
n404=  var %sini = $rand(0,255)
n405=  var %viher = $rand(0,255)
n406=  var %puna = $rand(0,255)
n407=  /vari %sini %viher %puna
n408=  var %variarvo = $calc(%sini + %viher * 256 + (256*256) * %puna)
n409=  /color 0 $calc(%sini + %viher * 256 + (256*256) * %puna)
n410=  ;(%sini + %viher + %puna)
n411=  $calc(%sini + %viher * 256 + (256*256) * %puna)
n412=}
n413=
n414=
n415=alias välkky {
n416=  window -pek @val
n417=  var %s = 1
n418=  while (%s <= 1000) {
n419=    /text_outline  -of @val 100 10 255 1 32 "times new roman" $nick halusi välkettä
n420=    drawdot @val $rand(0,10) 2000 300 300
n421=    /text_outline  -of @val 100 10 255 1 32 "times new roman" $nick halusi välkettä
n422=    pause ms 20
n423=    inc %s
n424=    /text_outline  -of @val 100 10 255 1 32 "times new roman" $nick halusi välkettä
n425=  }
n426=}
n427=
n428=/bread 1-black.dat 0 11 &flash
n429=var %e = 255
n430=;on 1:TEXT:äg*:#:{ msg $chan $nick halusit välkyttää valoja, pöllö :I
n431=alias äg {
n432=  while (%e >= 254) {
n433=    pause ms 50
n434=    /vari %e %e %e
n435=    %e = $calc(%e - 1)
n436=  }
n437=}
n438=
n439=/bread 1-black.dat 0 11 &flash
n440=alias plöö {
n441=  var %e = 0
n442=  while (%e <= 255) {
n443=    pause ms 50
n444=    /vari %e %e %e
n445=    inc %e
n446=  }
n447=}
n448=
n449=
n450=/bread 1-black.dat 0 11 &flash
n451=var %e = 255
n452=on 1:TEXT:discotus*:#:{
n453=  while (%e >= 254) {
n454=    /vari 0 0 0
n455=    	pause ms 50
n456=    /vari 0 255 0
n457=    pause ms 50
n458=    /vari 0 0 255
n459=    	pause ms 50
n460=    /vari 255 0 0
n461=    	pause ms 50
n462=    	inc %e
n463=  }
n464=}
n465=
n466=
n467=
n468=alias tausta {
n469=  var %viive = 5
n470=  /background -a downloads\0001.png
n471=  pause ms %viive
n472=  /background -a downloads\0002.png
n473=  pause ms %viive
n474=  /background -a downloads\0003.png
n475=  pause ms %viive
n476=  /background -a downloads\0004.png
n477=  pause ms %viive
n478=  /background -a downloads\0005.png
n479=  pause ms %viive
n480=  /background -a downloads\0006.png
n481=  pause ms %viive
n482=  /background -a downloads\0007.png
n483=  pause ms %viive
n484=  /background -a downloads\0008.png
n485=  pause ms %viive
n486=  /background -a downloads\0009.png
n487=  pause ms %viive
n488=  /background -a downloads\0010.png
n489=  pause ms %viive
n490=  /background -a downloads\0011.png
n491=  pause ms %viive
n492=
n493=}
n494=
n495=;***** Alias lataa taustakuvia kuvannumerosta alkaen lopetusnumeroon asti
n496=alias tausta2 {
n497=  var %kuvannumero = 33
n498=  var %lopetusnumero = 60
n499=  while (%kuvannumero < %lopetusnumero) {
n500=    var %viive = 5
n501=    /background -a downloads\ $+ 00 $+ %kuvannumero $+ .png
n502=    inc %kuvannumero
n503=    ;     $+ $1-1000
n504=  }
n505=}
n506=
n507=alias tausta3 {
n508=  var %kuvannumero = 11
n509=  var %lopetusnumero = 22
n510=  while (%kuvannumero < %lopetusnumero) {
n511=    var %viive = 5
n512=    /background -a downloads\ $+ anim00 $+ %kuvannumero $+ .png
n513=    inc %kuvannumero
n514=    ;     $+ $1-1000
n515=  }
n516=}
n517=
n518=/bread 1-black.dat 0 11 &flash
n519=alias nayttovalo {
n520=  var %sini = $rand(0,255)
n521=  var %viher = $rand(0,255)
n522=  var %puna = $rand(0,255)
n523=  ;/vari %sini %viher %puna
n524=  ;var %variarvo = $calc(%sini + %viher * 256 + (256*256) * %puna)
n525=  /color 0 $calc(%sini + %viher * 256 + (256*256) * %puna)
n526=  ;(%sini + %viher + %puna)
n527=  ;$calc(%sini + %viher * 256 + (256*256) * %puna)
n528=}
n529=
n530=alias pyorovalo {
n531=  var %kunnes = 1
n532=  while (%kunnes <= 10) {
n533=    /nayttovalo
n534=    /tausta
n535=    inc %kunnes
n536=  }
n537=}
n538=
n539=
n540=
n541=alias aja {
n542=  var %nainmontakertaa = 1
n543=  while (%nainmontakertaa < 2) {
n544=    /clear
n545=    /echo Terggui, tää on mun eka tosi oikee demo! -AirZero
n546=    /pyorovalo
n547=    /clear
n548=    /tausta
n549=    /background -a downloads\lapinakyva.png
n550=    /echo Tykkäättex välggeest? Se on ommattu Linkille ^^
n551=    /varivilkku
n552=    /echo joku porompi koodais piirtofunktiot, mä vaan lataan .png-kuvia taustakuviks, mut tehkää vittu ite piirtorutiinit mircille :I
n553=    /pause ms 7000
n554=    /valoparistin
n555=    /tausta2
n556=    /join #airzerocorporation
n557=    /msg moi kaikki!
n558=    /echo joo ei tätä mircciä kestä, katsotaan ennemmin excel-demo
n559=    pause ms 7000
n560=    /run http://www.youtube.com/watch?v=Es5WSY2HGFQ
n561=    inc %nainmontakertaa
n562=  }
n563=}
n564=
n565=alias valoparistin {
n566=  /valonheitin 0 255 255 255
n567=  /valonheitin 1 255 255 255
n568=  pause ms 500
n569=  /valonheitin 2 255 255 255
n570=  /valonheitin 3 255 255 255
n571=  pause ms 500
n572=  /valonheitin 4 255 255 255
n573=  /valonheitin 5 255 255 255
n574=  pause ms 500
n575=  /valonheitin 6 255 255 255
n576=  /valonheitin 7 255 255 255
n577=  pause ms 500
n578=  /valonheitin 8 255 255 255
n579=  pause ms 500
n580=}
n581=
n582=alias valonrytmivaihdin {
n583=  var %valonro = 0
n584=  var %puna = 255
n585=  var %viher = 255
n586=  var %sini = 255
n587=  while (%valonro < 9) {
n588=    /valonheitin %valonro %puna %viher %sini
n589=    inc %valonro
n590=    /valonheitin %valonro %puna %viher %sini
n591=    pause ms 500
n592=    inc %valonro
n593=
n594=  }
n595=}
n596=
n597=
n598=
n599=
n600=on 1:TEXT:valojaperkele*:#:{ msg $chan $nick halusi epilepsian :(  $2 $3 $4
n601=  var %1 = $2
n602=  var %2 = $3
n603=  var %3 = $4
n604=  var %valonro = 0
n605=  while (%valonro < 9) {
n606=    /valonheitin %valonro %1 %2 %3
n607=    inc %valonro
n608=    /valonheitin %valonro %1 %2 %3
n609=    inc %valonro
n610=
n611=  }
n612=}
n613=
n614=on 1:TEXT:mikko_alatalo*:#:{ msg $chan $nick tykkää Mikko Alatalosta
n615=
n616=  /join #aasdasjgfjsdagjkgjklsgjklgjl
n617=  splay Mikko_alatalo_projekti7.wav
n618=  /part #aasdasjgfjsdagjkgjklsgjklgjl
n619=}
n620=
n621=
n622=alias pyorovalo {
n623=  var %kunnes = 1
n624=  while (%kunnes <= 10) {
n625=    /nayttovalo
n626=    /tausta
n627=    inc %kunnes
n628=  }
n629=}
n630=
n631=
n632=
n633=on 1:TEXT:aantaprkl*:#:{ msg $chan $nick tykkää paskasta musiikista
n634=  /join #aasdasjgfjsdagjkgjklsgjklgjl
n635=  splay $2
n636=  /part #aasdasjgfjsdagjkgjklsgjklgjl
n637=}
n638=
n639=
n640=
n641=on 1:TEXT:demo:#:{  msg $chan $nick ajaa efektin
n642=  ;Create a picture (-p) window (@cir)
n643=  window -pek @cir
n644=
n645=  ;Draw a circle (on window (@cir) with color 4 (red), size of 50 at coordinates (200,200)
n646=  drawdot @cir 4 50 200 200
n647=
n648=
n649=  ;timer 1 2 drawdot @cir 2 50 $rand(0,1000) $rand(0,1000)
n650=
n651=  ; for (int i = 0; i < 100; ++i) { float x = 0.1 * float(i); effect(i, sin(x)); }
n652=
n653=  var %i = 1
n654=  while (%i <= 100) {
n655=    ;timer 1 0
n656=    drawdot @cir $rand(0,10) $rand(0,150) $rand(0,1000) $rand(0,1000)
n657=
n658=    /text_outline  -of @cir 100 10 255 1 32 "times new roman" $nick halusi palloja
n659=    ;text_outline
n660=    pause ms 100
n661=    inc %i
n662=  }
n663=
n664=}
